unit Unit6;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, WEBLib.Buttons, WEBLib.Grids, Vcl.Controls, WEBLib.ExtCtrls;

type
  TForm6 = class(TWebForm)
    ObligationsPanel: TWebPanel;
    gObligations: TWebResponsiveGrid;
    MTDSubmitPanel: TWebPanel;
    btnAdd1: TWebBitBtn;
    btnAdd2: TWebBitBtn;
    procedure btnAdd1Click(Sender: TObject);
    procedure btnAdd2Click(Sender: TObject);
  private
  public
  end;

var
  Form6: TForm6;

implementation

{$R *.dfm}

procedure TForm6.btnAdd1Click(Sender: TObject);
begin
  gObligations.BeginUpdate;
  btnAdd2Click(Nil);
  gObligations.EndUpdate;
end;

procedure TForm6.btnAdd2Click(Sender: TObject);
const
  cNum=4;
  cColors:array [0..4] of string=('red','darkorange','lightgreen','lightblue','yellow');
var
  I:Integer;
begin
  gObligations.Items.Clear;
  for I:=0 to cNum do
  begin
    gObligations.Items.Add;
    gObligations.Items[I].ElementHandle.style.setProperty('background-color',cColors[I]);
    gObligations.Items[I].HTML:='&nbsp;Period: '+IntToStr(I)+'<br>'+
      '&nbsp;Some text or other';
  end;
end;

end.